from fastapi import APIRouter

from app.api.v1 import auth, users, employees, departments, job_titles

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(employees.router, prefix="/employees", tags=["employees"])
api_router.include_router(departments.router, prefix="/departments", tags=["departments"])
api_router.include_router(job_titles.router, prefix="/job-titles", tags=["job_titles"])