from sqlalchemy import Column, String, DateTime, Text
from sqlalchemy.sql import func
from uuid import uuid4

from app.db.base_class import Base


class JobTitle(Base):
    id = Column(String, primary_key=True, index=True, default=lambda: str(uuid4()))
    title = Column(String, index=True, nullable=False, unique=True)
    description = Column(Text, nullable=True)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
    updated_at = Column(DateTime(timezone=True), onupdate=func.now())